/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2009 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.human.vo;

public abstract class PayrollHumanCardVo extends HumanCardVo {

	/**
	 * コンストラクタ
	 */
	protected PayrollHumanCardVo() {
		super();
		setViewPath(getClassName());
		needDirectJs = true;
	}

	@Override
	protected void setSubTitle() {
		super.setSubTitle();
		subTitle = "　";
		aryMenu = new String[1][2];
		aryMenu[0][0] = "H1910";
		aryMenu[0][1] = getName("C_MENU") + getName("C_TO");
	}

	/**
	 * javascriptを取得する。<br>
	 */
	@Override
	public String getDirectJs(Class<?> cls) throws IllegalAccessException {
		return super.getDirectJs(cls);
	}

}
